﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@using Microsoft.AspNetCore.Http;
@model CyberaniumModels.OrganizationChild
@{
    ViewData["Title"] = "Index";
}
<script src="~/Script/Master/Layout.js"></script>

<style>
    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }

    .adddivProcess {
        padding-left: 20px;
    }

    .btnFlex {
        display: flex;
        width: 100%;
    }

    .close {
        opacity: 1.5;
        color: white;
    }

    .table tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .iconn {
        /* line-height: 60px; */
        /* margin-left: 7px; */
        cursor: pointer;
        margin-top: 18px;
    }

        .iconn img {
            height: 25px;
        }
</style>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Organogram</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="">
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this); $.get('/ApplicationManagement/OrganizationFunction/Index', function (res) { $('#ajaxresult').html(res) });">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/FunctionProcess.png" />
                                            </div>
                                            <div class="cardbtntext">Map Functions and Process</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this); $.get('/ApplicationManagement/ClientEnabler/Index2', function (res) { $('#ajaxresult').html(res) });">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/AssignControls.png" />
                                            </div>
                                            <div class="cardbtntext">Assign Enabler Category</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="">
                                <div class="cardbtn">
                                    <a href="#" onclick="Active(this); $.get('/ApplicationManagement/GenerateRCMView/Index', function (res) { $('#ajaxresult').html(res) });">
                                        <div class="cardbtnIn">
                                            <div class="cardbtnimg">
                                                <img src="~/Image/CreateOrganogram/GenerateRCM.png" />
                                            </div>
                                            <div class="cardbtntext">Generate RCM</div>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
            <div class="right_panel">
                <div class="right_content">
                    <h3>Organization Map</h3>
                    <ul class="orgmap" style="height: calc(100vh - 308px);overflow:auto;padding:10px">
                        @{
                            foreach (var item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == 0))
                            {
                                var isAssigned = item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString()) ?? false;
                                <li class="first inactive assessment">
                                                            <div>
                                                                @{var str = item.AssignToAdminclient;}
                                                                <span class="text">@item.Name</span>
                                                                @if (item.Status == 0)
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                                }
                                                                else if (isAssigned  && item.Status == 1)
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                                    <span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>
                                                                }
                                                                else
                                                                {
                                                                    <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                                }
                                                            </div>
                                    <ul>
                                        @foreach (var _item in Model.OrganizationList.Where(x => x.ChildOrgId == item.Id && x.SubChildOrgId == 0))
                                        {
                                            var _isAssigned = _item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString())??false;
                                            <li>
                                                <div>
                                                    <span class="text">@_item.Name</span>
                                                    @if (_item.Status == 0)
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                    }
                                                    else if (_isAssigned && _item.Status == 1)
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                        <span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@_item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>
                                                    }
                                                    else
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                    }
                                                </div>
                                                <ul>
                                                    @foreach (var __item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == _item.Id))
                                                    {
                                                        @if (!String.IsNullOrEmpty(__item.Name))
                                                        {
                                                            var __isAssigned = __item.AssignToAdminclient?.Split(",").Any(x => x == Context.Session.GetInt32("UserId").ToString()) ?? false;
                                                            <li>
                                                                <div>
                                                                    <span class="text">@__item.Name</span>
                                                                    @if (__item.Status == 0)
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                                    }
                                                                    else if (__isAssigned && __item.Status == 1)
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                                        <span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@__item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>
                                                                    }
                                                                    else
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                                    }
                                                                </div>
                                                            </li>
                                                        }
                                                    }
                                                </ul>
                                            </li>
                                        }
                                    </ul>
                                </li>
                            }
                        }
                    </ul>
                    <div class="clsHints">
                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Clients are not ready for Assessment</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" />Client ready for Assessment, Click on <img src="~/Image/CreateOrganogram/Signature.png" /> to activate</span>
                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" />Assessment Activated</span>
                    </div>
                </div> 
            </div>
        </div>
    </div>
</section>

<script>
    function Active(anchor) {
        $('.cardbtnIn').removeClass('active');
        $(anchor).children('div').addClass('active');
    }
    $(".orgmap .text").click(function () {
        $(this).parent().parent().toggleClass("inactive");
    })
    function fn_updateOrgSignStaus(ID) {
        $.ajax({
            url: "/ApplicationManagement/ChildOrganization/updateOrgSignStaus",
            type: "POST",
            data: { ID: ID },
            success: function (result) {
                if (result.isSuccess) {
                    toastr.success('Organization assessment activated successfully');
                } else {
                    toastr.error('Error during activate organization');
                }
                $('a[href="/ApplicationManagement/ChildOrganization/Index"]').click();
            },
            error: function (ex) {
                console.log(ex.responseText);
            }
        })
    }
</script>